
QGIS Application - Bug report #13841

DbManager does not use the new authentication system

2015-11-16 03:37 PM - Sebastian Dietrich

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21865

Description

    -  When connecting to a database that is using the new authentication system DbManager asks for username and password instead of

using the configured authentication method.

    -  When a table/view/query from such a database is added as a layer to the project, the uri for the layer contains username and

password instead of the authcfg-token.

Related issues:

Duplicates QGIS Application - Bug report # 13683: DBManager doesn't work with... Closed 2015-10-27

Associated revisions

Revision 5f3ca88a - 2016-01-15 07:43 AM - Larry Shaffer 

Merge pull request #2674 from boundlessgeo/postgis-pki-pr

[FEATURE] Postgres provider PKI authentication (plus fixes #13841)

History

#1 - 2015-11-16 11:50 PM - Sebastian Dietrich

See PR 2473 for a solution.

#2 - 2016-01-12 04:05 PM - Sebastian Dietrich

- Affected QGIS version changed from 2.12.0 to master

- Pull Request or Patch supplied changed from No to Yes

- Target version set to Future Release - High Priority

- Assignee changed from Giuseppe Sucameli to Sebastian Dietrich

- % Done changed from 0 to 100

#3 - 2016-01-14 10:44 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"5f3ca88a84766daceba57c89187ce942a964669f".
https://github.com/dakcarto/QGIS-Enhancement-Proposals/blob/auth-system/qep-14-authentication-system.rst
https://github.com/qgis/QGIS/pull/2473

